DELETE sortiments/{qnipsSortimentId}/group/{Id}} · POS API
DELETE sortiments/{qnipsSortimentId}/group/{Id}}
DELETE
/sortiments/{qnipsSortimentId}/group/{Id}Material groups are structured as follows:
{
"Id": "123."
"UpGroupId": "234",
"Name":[
{ "lang": "de-DE", "val": "Getränke" }
{ "lang": "de-CH", "val": "Getränke" }
{ "lang": "it-CH", "val": "Bevande" }
{ "lang": "fr-UK", "val": "Boissons" }
]
}
| Property | Description |
|---|---|
Id |
string: This is the unique identifier for this product group. It can be referenced as an 'UpGroupId' from another material group, which allows you to map a material group hierarchy of any depth. |
UpGroupId |
string: If this material group is a top-level group, this entry is not necessary. Otherwise, enter the identifier of the material group to which this unit is to be subordinated here. |
| ``Name` |
Translatable properties
Some string properties of some entities, such as the name of an item in the sortiment, can be received by our system in several translations. In this documentation such properties are marked as 'translatable'. The values for such properties are always passed as a list of Translatable objects. In the 'lang' property of the Translatable object, the language tag is set to RFC 5646 and the translation of the value in the appropriate language in the 'val' field.
JSON example:
"Name":[
{ "lang": "de-DE", "val": "Getränke" }
{ "lang": "de-CH", "val": "Getränke" }
{ "lang": "it-CH", "val": "Bevande" }
{ "lang": "fr-UK", "val": "Boissons" }
]
Parameter
qnipsSortimentIdstringErforderlichthis is the qnipsSortimentId' returned by the call to GET sortiments?thirdPartySortimentIdentifier={string1}&name={string2}`.
'sortiment123'IdstringErforderlichenter the PLU of the article to be deleted or the ID of the product group to be deleted.
'A12'Request-Header
DevKey{Your Key}TrackingUnitId{trackingUnitId}Originaler Blueprint-Ausschnitt
API Blueprint
### DELETE sortiments/{qnipsSortimentId}/group/{Id}} [DELETE]
Material groups are structured as follows:
<pre>
<code>
{
"Id": "123."
"UpGroupId": "234",
"Name":[
{ "lang": "de-DE", "val": "Getränke" }
{ "lang": "de-CH", "val": "Getränke" }
{ "lang": "it-CH", "val": "Bevande" }
{ "lang": "fr-UK", "val": "Boissons" }
]
}
</code>
</pre>
| Property | Description |
| --- | --- |
|`Id`|**string**: This is the unique identifier for this product group. It can be referenced as an 'UpGroupId' from another material group, which allows you to map a material group hierarchy of any depth. |
|`UpGroupId`|**string**: If this material group is a top-level group, this entry is not necessary. Otherwise, enter the identifier of the material group to which this unit is to be subordinated here.
|``Name`|||translatable**: The name of the product group can be entered here in any number of translations in the format described below. Please always enter the name in at least one language. |
#### Translatable properties
Some string properties of some entities, such as the name of an item in the sortiment, can be received by our system in several translations.
In this documentation such properties are marked as 'translatable'. The values for such properties are always passed as a list of
Translatable objects. In the 'lang' property of the Translatable object, the language tag is set to [RFC 5646]() and the translation of the value
in the appropriate language in the 'val' field.
JSON example:
<pre>
<code>
"Name":[
{ "lang": "de-DE", "val": "Getränke" }
{ "lang": "de-CH", "val": "Getränke" }
{ "lang": "it-CH", "val": "Bevande" }
{ "lang": "fr-UK", "val": "Boissons" }
]
</code>
</pre>
+ Parameters
+ qnipsSortimentId (string, `'sortiment123'`) ... this is the `qnipsSortimentId' returned by the call to `GET sortiments?thirdPartySortimentIdentifier={string1}&name={string2}`.
+ Id (string, `'A12'`) ... enter the PLU of the article to be deleted or the ID of the product group to be deleted.
+ Request
+ Headers
DevKey: {Your Key}
TrackingUnitId: {trackingUnitId}
+ response 200
+ response 500
// HTTP-InternalServerError: An unknown problem occurred during processing
{
"ErrorMessage": "some explanation"
"StackTrace": "text"
}
+ response 403
// HTTP-Forbidden: trackingUnitId is not yet activated by the merchant
+ Response 401
// HTTP-Unauthorized: DevKey or trackingUnitId not specified or not available
+ response 400
{
"ErrorId":12000,
"ErrorText": "Details of the error"
}
// here all possible error codes incl. texts for this resource
// 12001: qnips sortimentId unknown
// 12006: No item found under given Id